autoweka.smac

## Class SMACExperimentConstructor

- java.lang.Object
- - autoweka.ExperimentConstructor
  - - autoweka.smac.SMACExperimentConstructor

-     public class SMACExperimentConstructor
      extends ExperimentConstructor

- - ### Field Summary

    - ### Fields inherited from class autoweka.ExperimentConstructor

      `mAllowedClassifiers, mAttribEvalClassParams, mAttribSearchClassParams, mBaseClassParams, mEnsembleClassParams, mEnsembleMaxNum, mExperiment, mExperimentPath, mIncludeBase, mIncludeEnsemble, mIncludeMeta, mInstanceGenerator, mMetaClassParams, mParamBaseDir, mProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMACExperimentConstructor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCallString(java.lang.String experimentPath)` Gets the set of strings that are called on the command line to invoke the SMBO method
    `java.lang.String` | `getTrajectoryParserClassName()` Gets the name of the class that is used to parse the results of the SMBO method into a Trajectory
    `java.lang.String` | `getType()` Get a string indicating the type of this Experiment (namely the name of the SMBO method)
    `void` | `prepareExperiment(java.lang.String path)` Subclasses must provide this method which is responsible for
    `void` | `printFeatureFile(java.io.PrintStream out)`
    `void` | `printInstanceFile(java.io.PrintStream out)`
    `void` | `printParamFile(java.io.PrintStream out)`
    `void` | `printScenarioFile(java.io.PrintStream out)`
    `void` | `printTestInstanceFile(java.io.PrintStream out)`

    - ### Methods inherited from class autoweka.ExperimentConstructor

      `buildSingle, generateAlgorithmParameterConditionalGroupForDAG, generateBatches, getEnvVariables, getPrefix, getWrapperPropString, main, processArg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMACExperimentConstructor

          public SMACExperimentConstructor()

  - ### Method Detail

    - #### prepareExperiment

          public void prepareExperiment(java.lang.String path)

      Description copied from class: `ExperimentConstructor`
      Subclasses must provide this method which is responsible for
      Specified by:
        `prepareExperiment` in class `ExperimentConstructor`
      Parameters:
        `path` - The path to the experiment.

    - #### getTrajectoryParserClassName

          public java.lang.String getTrajectoryParserClassName()

      Description copied from class: `ExperimentConstructor`
      Gets the name of the class that is used to parse the results of the SMBO method into a Trajectory
      Specified by:
        `getTrajectoryParserClassName` in class `ExperimentConstructor`
      Returns:
        The name of the trajectory parser class.

    - #### getCallString

          public java.util.List<java.lang.String> getCallString(java.lang.String experimentPath)

      Description copied from class: `ExperimentConstructor`
      Gets the set of strings that are called on the command line to invoke the SMBO method
      Specified by:
        `getCallString` in class `ExperimentConstructor`
      Parameters:
        `experimentPath` - The path to the experiment.
      Returns:
        The list of call strings.

    - #### getType

          public java.lang.String getType()

      Description copied from class: `ExperimentConstructor`
      Get a string indicating the type of this Experiment (namely the name of the SMBO method)
      Specified by:
        `getType` in class `ExperimentConstructor`
      Returns:
        The type of experiment.

    - #### printInstanceFile

          public void printInstanceFile(java.io.PrintStream out)

    - #### printFeatureFile

          public void printFeatureFile(java.io.PrintStream out)

    - #### printTestInstanceFile

          public void printTestInstanceFile(java.io.PrintStream out)

    - #### printScenarioFile

          public void printScenarioFile(java.io.PrintStream out)

    - #### printParamFile

          public void printParamFile(java.io.PrintStream out)